<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA['tx_form4socialmedialinks_entry'] = array (
	'ctrl' => $TCA['tx_form4socialmedialinks_entry']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'sys_language_uid,l10n_parent,l10n_diffsource,hidden,fe_group,title,type,description,url,html,icon'
	),
	'feInterface' => $TCA['tx_form4socialmedialinks_entry']['feInterface'],
	'columns' => array (
		'sys_language_uid' => array (		
			'exclude' => 1,
			'label'  => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array (
				'type'                => 'select',
				'foreign_table'       => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
				)
			)
		),
		'l10n_parent' => array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude'     => 1,
			'label'       => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config'      => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
				),
				'foreign_table'       => 'tx_form4socialmedialinks_entry',
				'foreign_table_where' => 'AND tx_form4socialmedialinks_entry.pid=###CURRENT_PID### AND tx_form4socialmedialinks_entry.sys_language_uid IN (-1,0)',
			)
		),
		'l10n_diffsource' => array (		
			'config' => array (
				'type' => 'passthrough'
			)
		),
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'fe_group' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.fe_group',
			'config'  => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
					array('LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.any_login', -2),
					array('LLL:EXT:lang/locallang_general.xml:LGL.usergroups', '--div--')
				),
				'foreign_table' => 'fe_groups'
			)
		),
		'title' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.title',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required,trim',
			)
		),
		'identifier' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.identifier',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'alpha,trim,unique',
			)
		),
		'type' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.type',		
			'config' => array (
				'type' => 'select',
				'items' => array (
					array('LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.type.I.0', '0'),
					array('LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.type.I.1', '1'),
				),
				'size' => 1,	
				'maxitems' => 1,
			)
		),
		'description' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.description',		
			'config' => array (
				'type' => 'text',
				'cols' => '30',	
				'rows' => '5',
			)
		),
		'url' => array (        
            'exclude' => 1,        
            'label' => 'LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.url',        
            'config' => array (
                'type' => 'text',
                'wrap' => 'ON',
                'cols' => '50',    
                'rows' => '2',
				'eval' => 'required,trim',
            )
        ),
		
		'html' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.html',		
			'config' => array (
				'type' => 'text',
				'cols' => '50',	
				'rows' => '5',
				'eval' => 'required,trim',
			)
		),
		'icon' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.icon',		
			'config' => array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],	
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],	
				'uploadfolder' => 'uploads/tx_form4socialmedialinks',
				'show_thumbs' => 1,	
				'size' => 1,	
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 'hidden;;1, type;;;;3-3-3, title;;;;2-2-2, identifier, description, url, icon'),
		'1' => array('showitem' => 'hidden;;1, type;;;;3-3-3, title;;;;2-2-2, identifier, html')
	),
	'palettes' => array (
		'1' => array('showitem' => 'fe_group')
	)
);

if (t3lib_extMgm::isLoaded('dam')) {
	$TCA['tx_form4socialmedialinks_entry']['columns']['icon'] = txdam_getMediaTCA('image_field', 'tx_form4socialmedialinks_icon');
	$TCA['tx_form4socialmedialinks_entry']['columns']['icon']['label'] = 'LLL:EXT:form4_socialmedialinks/locallang_db.xml:tx_form4socialmedialinks_entry.icon';
	$TCA['tx_form4socialmedialinks_entry']['columns']['icon']['config']['maxitems'] = 1;
	$TCA['tx_form4socialmedialinks_entry']['columns']['icon']['config']['size'] = 1;
	$TCA['tx_form4socialmedialinks_entry']['columns']['icon']['exclude'] = 1;
}

?>